/*
 * Copyright (C) 2013 Rappold <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.gui.model;

/**
 *
 * @author Rappold
 */
import java.io.Serializable;
import java.util.Date;

public class Score implements Serializable {

    private int score;
    private String playerName;
    private String songName;
    private Date date;

    public Score(String songName, String playerName, int score, Date date) {
        this.songName = songName;
        this.score = score;
        this.playerName = playerName;
        this.date = date;
    }

    public void setSongName(String songName) {
        this.songName = songName;
    }

    public void setPlayerName(String playerName) {
        this.playerName = playerName;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getPlayerName() {
        return playerName;
    }

    public String getSongName() {
        return songName;
    }

    public int getScore() {
        return score;
    }

    public Date getDate() {
        return date;
    }
}